Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.impl
Class NewProxyPreparedStatement

    java.lang.Object
      com.mchange.v2.c3p0.impl.NewProxyPreparedStatement

All Implemented Interfaces:
  C3P0ProxyStatement, ProxyResultSetDetachable, java.sql.PreparedStatement, java.sql.Statement

    public final class NewProxyPreparedStatement

extends java.lang.Object
implements java.sql.PreparedStatement, C3P0ProxyStatement, ProxyResultSetDetachable

This class was generated by com.mchange.v2.c3p0.codegen.JdbcProxyGenerator$NewProxyAnyStatementGenerator.

Field Summary
`protected java.lang.Class` | `__delegateClass`
`protected java.sql.PreparedStatement` | `inner`

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Fields inherited from interface com.mchange.v2.c3p0.C3P0ProxyStatement
`RAW_STATEMENT`

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`NewProxyPreparedStatement(java.sql.PreparedStatement inner)`

Method Summary
`void` | `addBatch()`
`void` | `addBatch(java.lang.String a)`
`void` | `cancel()`
`void` | `clearBatch()`
`void` | `clearParameters()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `detachProxyResultSet(java.sql.ResultSet prs)`
`boolean` | `execute()`
`boolean` | `execute(java.lang.String a)`
`boolean` | `execute(java.lang.String a, int b)`
`boolean` | `execute(java.lang.String a, int[] b)`
`boolean` | `execute(java.lang.String a, java.lang.String[] b)`
`int[]` | `executeBatch()`
`java.sql.ResultSet` | `executeQuery()`
`java.sql.ResultSet` | `executeQuery(java.lang.String a)`
`int` | `executeUpdate()`
`int` | `executeUpdate(java.lang.String a)`
`int` | `executeUpdate(java.lang.String a, int b)`
`int` | `executeUpdate(java.lang.String a, int[] b)`
`int` | `executeUpdate(java.lang.String a, java.lang.String[] b)`
`java.sql.Connection` | `getConnection()`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`java.sql.ResultSet` | `getGeneratedKeys()`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`java.sql.ResultSetMetaData` | `getMetaData()`
`boolean` | `getMoreResults()`
`boolean` | `getMoreResults(int a)`
`java.sql.ParameterMetaData` | `getParameterMetaData()`
`int` | `getQueryTimeout()`
`java.sql.ResultSet` | `getResultSet()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetHoldability()`
`int` | `getResultSetType()`
`int` | `getUpdateCount()`
`java.sql.SQLWarning` | `getWarnings()`
`java.lang.Object` | `rawStatementOperation(java.lang.reflect.Method m, java.lang.Object target, java.lang.Object[] args)` Allows one to work with the unproxied, raw vendor-provided Statement .
`void` | `setArray(int a, java.sql.Array b)`
`void` | `setAsciiStream(int a, java.io.InputStream b)`
`void` | `setAsciiStream(int a, java.io.InputStream b, int c)`
`void` | `setAsciiStream(int a, java.io.InputStream b, long c)`
`void` | `setBigDecimal(int a, java.math.BigDecimal b)`
`void` | `setBinaryStream(int a, java.io.InputStream b)`
`void` | `setBinaryStream(int a, java.io.InputStream b, int c)`
`void` | `setBinaryStream(int a, java.io.InputStream b, long c)`
`void` | `setBlob(int a, java.sql.Blob b)`
`void` | `setBlob(int a, java.io.InputStream b)`
`void` | `setBlob(int a, java.io.InputStream b, long c)`
`void` | `setBoolean(int a, boolean b)`
`void` | `setByte(int a, byte b)`
`void` | `setBytes(int a, byte[] b)`
`void` | `setCharacterStream(int a, java.io.Reader b)`
`void` | `setCharacterStream(int a, java.io.Reader b, int c)`
`void` | `setCharacterStream(int a, java.io.Reader b, long c)`
`void` | `setClob(int a, java.sql.Clob b)`
`void` | `setClob(int a, java.io.Reader b)`
`void` | `setClob(int a, java.io.Reader b, long c)`
`void` | `setCursorName(java.lang.String a)`
`void` | `setDate(int a, java.sql.Date b)`
`void` | `setDate(int a, java.sql.Date b, java.util.Calendar c)`
`void` | `setDouble(int a, double b)`
`void` | `setEscapeProcessing(boolean a)`
`void` | `setFetchDirection(int a)`
`void` | `setFetchSize(int a)`
`void` | `setFloat(int a, float b)`
`void` | `setInt(int a, int b)`
`void` | `setLong(int a, long b)`
`void` | `setMaxFieldSize(int a)`
`void` | `setMaxRows(int a)`
`void` | `setNull(int a, int b)`
`void` | `setNull(int a, int b, java.lang.String c)`
`void` | `setObject(int a, java.lang.Object b)`
`void` | `setObject(int a, java.lang.Object b, int c)`
`void` | `setObject(int a, java.lang.Object b, int c, int d)`
`void` | `setQueryTimeout(int a)`
`void` | `setRef(int a, java.sql.Ref b)`
`void` | `setShort(int a, short b)`
`void` | `setString(int a, java.lang.String b)`
`void` | `setTime(int a, java.sql.Time b)`
`void` | `setTime(int a, java.sql.Time b, java.util.Calendar c)`
`void` | `setTimestamp(int a, java.sql.Timestamp b)`
`void` | `setTimestamp(int a, java.sql.Timestamp b, java.util.Calendar c)`
`void` | `setUnicodeStream(int a, java.io.InputStream b, int c)`
`void` | `setURL(int a, java.net.URL b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inner

    protected java.sql.PreparedStatement inner

### __delegateClass

    protected java.lang.Class __delegateClass

Constructor Detail

### NewProxyPreparedStatement

    public NewProxyPreparedStatement(java.sql.PreparedStatement inner)

Method Detail

### getMetaData

    public final java.sql.ResultSetMetaData getMetaData()
                                                 throws java.sql.SQLException

  Specified by:
    `getMetaData` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### addBatch

    public final void addBatch()
                        throws java.sql.SQLException

  Specified by:
    `addBatch` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### executeQuery

    public final java.sql.ResultSet executeQuery()
                                          throws java.sql.SQLException

  Specified by:
    `executeQuery` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public final int executeUpdate()
                            throws java.sql.SQLException

  Specified by:
    `executeUpdate` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setAsciiStream

    public final void setAsciiStream(int a,
                                     java.io.InputStream b,
                                     int c)
                              throws java.sql.SQLException

  Specified by:
    `setAsciiStream` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setBinaryStream

    public final void setBinaryStream(int a,
                                      java.io.InputStream b,
                                      int c)
                               throws java.sql.SQLException

  Specified by:
    `setBinaryStream` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setBlob

    public final void setBlob(int a,
                              java.sql.Blob b)
                       throws java.sql.SQLException

  Specified by:
    `setBlob` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setClob

    public final void setClob(int a,
                              java.sql.Clob b)
                       throws java.sql.SQLException

  Specified by:
    `setClob` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### clearParameters

    public final void clearParameters()
                               throws java.sql.SQLException

  Specified by:
    `clearParameters` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### getParameterMetaData

    public final java.sql.ParameterMetaData getParameterMetaData()
                                                          throws java.sql.SQLException

  Specified by:
    `getParameterMetaData` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setArray

    public final void setArray(int a,
                               java.sql.Array b)
                        throws java.sql.SQLException

  Specified by:
    `setArray` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setBigDecimal

    public final void setBigDecimal(int a,
                                    java.math.BigDecimal b)
                             throws java.sql.SQLException

  Specified by:
    `setBigDecimal` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setBytes

    public final void setBytes(int a,
                               byte[] b)
                        throws java.sql.SQLException

  Specified by:
    `setBytes` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setNull

    public final void setNull(int a,
                              int b)
                       throws java.sql.SQLException

  Specified by:
    `setNull` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setNull

    public final void setNull(int a,
                              int b,
                              java.lang.String c)
                       throws java.sql.SQLException

  Specified by:
    `setNull` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setRef

    public final void setRef(int a,
                             java.sql.Ref b)
                      throws java.sql.SQLException

  Specified by:
    `setRef` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setUnicodeStream

    public final void setUnicodeStream(int a,
                                       java.io.InputStream b,
                                       int c)
                                throws java.sql.SQLException

  Specified by:
    `setUnicodeStream` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setBoolean

    public final void setBoolean(int a,
                                 boolean b)
                          throws java.sql.SQLException

  Specified by:
    `setBoolean` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setByte

    public final void setByte(int a,
                              byte b)
                       throws java.sql.SQLException

  Specified by:
    `setByte` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setDouble

    public final void setDouble(int a,
                                double b)
                         throws java.sql.SQLException

  Specified by:
    `setDouble` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setFloat

    public final void setFloat(int a,
                               float b)
                        throws java.sql.SQLException

  Specified by:
    `setFloat` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setInt

    public final void setInt(int a,
                             int b)
                      throws java.sql.SQLException

  Specified by:
    `setInt` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setLong

    public final void setLong(int a,
                              long b)
                       throws java.sql.SQLException

  Specified by:
    `setLong` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setShort

    public final void setShort(int a,
                               short b)
                        throws java.sql.SQLException

  Specified by:
    `setShort` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setTimestamp

    public final void setTimestamp(int a,
                                   java.sql.Timestamp b)
                            throws java.sql.SQLException

  Specified by:
    `setTimestamp` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setTimestamp

    public final void setTimestamp(int a,
                                   java.sql.Timestamp b,
                                   java.util.Calendar c)
                            throws java.sql.SQLException

  Specified by:
    `setTimestamp` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setURL

    public final void setURL(int a,
                             java.net.URL b)
                      throws java.sql.SQLException

  Specified by:
    `setURL` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setTime

    public final void setTime(int a,
                              java.sql.Time b)
                       throws java.sql.SQLException

  Specified by:
    `setTime` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setTime

    public final void setTime(int a,
                              java.sql.Time b,
                              java.util.Calendar c)
                       throws java.sql.SQLException

  Specified by:
    `setTime` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### execute

    public final boolean execute()
                          throws java.sql.SQLException

  Specified by:
    `execute` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public final void setObject(int a,
                                java.lang.Object b,
                                int c,
                                int d)
                         throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public final void setObject(int a,
                                java.lang.Object b,
                                int c)
                         throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public final void setObject(int a,
                                java.lang.Object b)
                         throws java.sql.SQLException

  Specified by:
    `setObject` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setDate

    public final void setDate(int a,
                              java.sql.Date b)
                       throws java.sql.SQLException

  Specified by:
    `setDate` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setDate

    public final void setDate(int a,
                              java.sql.Date b,
                              java.util.Calendar c)
                       throws java.sql.SQLException

  Specified by:
    `setDate` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setCharacterStream

    public final void setCharacterStream(int a,
                                         java.io.Reader b,
                                         int c)
                                  throws java.sql.SQLException

  Specified by:
    `setCharacterStream` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### setString

    public final void setString(int a,
                                java.lang.String b)
                         throws java.sql.SQLException

  Specified by:
    `setString` in interface `java.sql.PreparedStatement`
  Throws:
    `java.sql.SQLException`

### getWarnings

    public final java.sql.SQLWarning getWarnings()
                                          throws java.sql.SQLException

  Specified by:
    `getWarnings` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### clearWarnings

    public final void clearWarnings()
                             throws java.sql.SQLException

  Specified by:
    `clearWarnings` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### addBatch

    public final void addBatch(java.lang.String a)
                        throws java.sql.SQLException

  Specified by:
    `addBatch` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### clearBatch

    public final void clearBatch()
                          throws java.sql.SQLException

  Specified by:
    `clearBatch` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeBatch

    public final int[] executeBatch()
                             throws java.sql.SQLException

  Specified by:
    `executeBatch` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeQuery

    public final java.sql.ResultSet executeQuery(java.lang.String a)
                                          throws java.sql.SQLException

  Specified by:
    `executeQuery` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public final int executeUpdate(java.lang.String a)
                            throws java.sql.SQLException

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public final int executeUpdate(java.lang.String a,
                                   int b)
                            throws java.sql.SQLException

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public final int executeUpdate(java.lang.String a,
                                   int[] b)
                            throws java.sql.SQLException

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public final int executeUpdate(java.lang.String a,
                                   java.lang.String[] b)
                            throws java.sql.SQLException

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getFetchDirection

    public final int getFetchDirection()
                                throws java.sql.SQLException

  Specified by:
    `getFetchDirection` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getFetchSize

    public final int getFetchSize()
                           throws java.sql.SQLException

  Specified by:
    `getFetchSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getGeneratedKeys

    public final java.sql.ResultSet getGeneratedKeys()
                                              throws java.sql.SQLException

  Specified by:
    `getGeneratedKeys` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMaxFieldSize

    public final int getMaxFieldSize()
                              throws java.sql.SQLException

  Specified by:
    `getMaxFieldSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMaxRows

    public final int getMaxRows()
                         throws java.sql.SQLException

  Specified by:
    `getMaxRows` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMoreResults

    public final boolean getMoreResults()
                                 throws java.sql.SQLException

  Specified by:
    `getMoreResults` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMoreResults

    public final boolean getMoreResults(int a)
                                 throws java.sql.SQLException

  Specified by:
    `getMoreResults` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getQueryTimeout

    public final int getQueryTimeout()
                              throws java.sql.SQLException

  Specified by:
    `getQueryTimeout` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getResultSet

    public final java.sql.ResultSet getResultSet()
                                          throws java.sql.SQLException

  Specified by:
    `getResultSet` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getResultSetConcurrency

    public final int getResultSetConcurrency()
                                      throws java.sql.SQLException

  Specified by:
    `getResultSetConcurrency` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getResultSetHoldability

    public final int getResultSetHoldability()
                                      throws java.sql.SQLException

  Specified by:
    `getResultSetHoldability` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getResultSetType

    public final int getResultSetType()
                               throws java.sql.SQLException

  Specified by:
    `getResultSetType` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getUpdateCount

    public final int getUpdateCount()
                             throws java.sql.SQLException

  Specified by:
    `getUpdateCount` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setCursorName

    public final void setCursorName(java.lang.String a)
                             throws java.sql.SQLException

  Specified by:
    `setCursorName` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setEscapeProcessing

    public final void setEscapeProcessing(boolean a)
                                   throws java.sql.SQLException

  Specified by:
    `setEscapeProcessing` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setFetchDirection

    public final void setFetchDirection(int a)
                                 throws java.sql.SQLException

  Specified by:
    `setFetchDirection` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setFetchSize

    public final void setFetchSize(int a)
                            throws java.sql.SQLException

  Specified by:
    `setFetchSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setMaxFieldSize

    public final void setMaxFieldSize(int a)
                               throws java.sql.SQLException

  Specified by:
    `setMaxFieldSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setMaxRows

    public final void setMaxRows(int a)
                          throws java.sql.SQLException

  Specified by:
    `setMaxRows` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setQueryTimeout

    public final void setQueryTimeout(int a)
                               throws java.sql.SQLException

  Specified by:
    `setQueryTimeout` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### close

    public final void close()
                     throws java.sql.SQLException

  Specified by:
    `close` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### execute

    public final boolean execute(java.lang.String a)
                          throws java.sql.SQLException

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### execute

    public final boolean execute(java.lang.String a,
                                 int b)
                          throws java.sql.SQLException

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### execute

    public final boolean execute(java.lang.String a,
                                 int[] b)
                          throws java.sql.SQLException

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### execute

    public final boolean execute(java.lang.String a,
                                 java.lang.String[] b)
                          throws java.sql.SQLException

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### cancel

    public final void cancel()
                      throws java.sql.SQLException

  Specified by:
    `cancel` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getConnection

    public final java.sql.Connection getConnection()
                                            throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setAsciiStream

    public final void setAsciiStream(int a,
                                     java.io.InputStream b,
                                     long c)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setAsciiStream

    public final void setAsciiStream(int a,
                                     java.io.InputStream b)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBinaryStream

    public final void setBinaryStream(int a,
                                      java.io.InputStream b,
                                      long c)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBinaryStream

    public final void setBinaryStream(int a,
                                      java.io.InputStream b)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBlob

    public final void setBlob(int a,
                              java.io.InputStream b,
                              long c)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setBlob

    public final void setBlob(int a,
                              java.io.InputStream b)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setClob

    public final void setClob(int a,
                              java.io.Reader b,
                              long c)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setClob

    public final void setClob(int a,
                              java.io.Reader b)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setCharacterStream

    public final void setCharacterStream(int a,
                                         java.io.Reader b,
                                         long c)
                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setCharacterStream

    public final void setCharacterStream(int a,
                                         java.io.Reader b)
                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### detachProxyResultSet

    public void detachProxyResultSet(java.sql.ResultSet prs)

  Specified by:
    `detachProxyResultSet` in interface `ProxyResultSetDetachable`

### rawStatementOperation

    public java.lang.Object rawStatementOperation(java.lang.reflect.Method m,
                                                  java.lang.Object target,
                                                  java.lang.Object[] args)
                                           throws java.lang.IllegalAccessException,
                                                  java.lang.reflect.InvocationTargetException,
                                                  java.sql.SQLException

  Description copied from interface: `C3P0ProxyStatement`

  Allows one to work with the unproxied, raw vendor-provided Statement . Some database companies never got over the "common interfaces mean no more vendor lock-in!" thing, and offer non-standard API on their Statements. This method permits you to "pierce" the connection-pooling layer to call non-standard methods on the original Statement, or to pass the original Statement to functions that are not implementation neutral.

  To use this functionality, you'll need to cast a Statement retrieved from a c3p0-provided Connection to a C3P0ProxyStatement.

  This method works by making a reflective call of method `m` on Object `target` (which may be null for static methods), passing and argument list `args`. For the method target, or for any argument, you may substitute the special token `C3P0ProxyStatement.RAW_STATEMENT`

  Any ResultSets returned by the operation will be proxied and c3p0-managed, meaning that these resources will be automatically closed if the user does not close them first when this Statement is closed or checked into the statement cache. Any other resources returned by the operation are the user's responsibility to clean up!

  If you have turned statement pooling on, incautious use of this method can corrupt the PreparedStatement cache, by breaking the invariant that all cached PreparedStatements should be equivalent to a PreparedStatement newly created with the same arguments to prepareStatement(...) or prepareCall(...). If your vendor supplies API that allows you to modify the state or configuration of a Statement in some nonstandard way, and you do not undo this modification prior to closing the Statement or the Connection that prepared it, future preparers of the same Statement may or may not see your modification, depending on your use of the cache. Thus, it is inadvisable to use this method to call nonstandard mutators on PreparedStatements if statement pooling is turned on..

  Specified by:
    `rawStatementOperation` in interface `C3P0ProxyStatement`
  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD